<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:45 CET 2016 -->
<title>ServiceProjectData.Builder (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ServiceProjectData.Builder (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/SupplierData.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" target="_top">Frames</a></li>
<li><a href="ServiceProjectData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject</div>
<h2 title="Class ServiceProjectData.Builder" class="title">Class ServiceProjectData.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject.ServiceProjectData.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">ServiceProjectData.Builder</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Class builder</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>plujan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#Builder--">Builder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#accountNo-java.lang.String-">accountNo</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the accountNo value
 
 Description: Account Number</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#active-java.lang.Boolean-">active</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the active value
 
 Description: A flag indicating whether this record is available for use or de-activated.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#build--">build</a></span>()</code>
<div class="block">Build the data object.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#businessPartner-com.openbravo.test.integration.erp.data.selectors.BusinessPartnerSelectorData-">businessPartner</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/BusinessPartnerSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">BusinessPartnerSelectorData</a>&nbsp;value)</code>
<div class="block">Set the businessPartner value
 
 Description: Anyone who takes part in daily business operations by acting as a customer
 employee etc.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#comments-java.lang.String-">comments</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the comments value
 
 Description: A space to write additional related information.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#contractAmount-java.lang.String-">contractAmount</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the contractAmount value
 
 Description: The maximum legal monetary price a project may be billed for.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#contractDate-java.lang.String-">contractDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the contractDate value
 
 Description: The planned end data is when a contract is registered into the application.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#contractQuantity-java.lang.String-">contractQuantity</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the contractQuantity value
 
 Description: The maximum legal quantity for a project.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#createTemporaryPriceList-java.lang.Boolean-">createTemporaryPriceList</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the createTemporaryPriceList value
 
 Description: This option permits to indicate if a temporary price list will be created.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#currency-java.lang.String-">currency</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the currency value
 
 Description: An accepted medium of monetary exchange that may vary across countries.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#description-java.lang.String-">description</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#endingDate-java.lang.String-">endingDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the endingDate value
 
 Description: The date that a task process or action is to be completed or delivered by.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#expensesMargin-java.lang.String-">expensesMargin</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the expensesMargin value
 
 Description: Expenses Margin %</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#formOfPayment-java.lang.String-">formOfPayment</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the formOfPayment value
 
 Description: The method used for payment of this transaction.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#initiativeType-java.lang.String-">initiativeType</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the initiativeType value
 
 Description: Initiative Type</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#invoiceToProject-java.lang.Boolean-">invoiceToProject</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the invoiceToProject value
 
 Description: Invoice to Project</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#legallyBindingContract-java.lang.Boolean-">legallyBindingContract</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the legallyBindingContract value
 
 Description: Is this document a (legal) commitment?</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#locationAddress-com.openbravo.test.integration.erp.data.selectors.LocationSelectorData-">locationAddress</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/LocationSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">LocationSelectorData</a>&nbsp;value)</code>
<div class="block">Set the locationAddress value
 
 Description: A specific place or residence.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#name-java.lang.String-">name</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the name value
 
 Description: A non-unique identifier for a record/document often used as a search tool.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#numberOfCopies-java.lang.String-">numberOfCopies</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the numberOfCopies value
 
 Description: The number of copies of each document that will be printed.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#orderReference-java.lang.String-">orderReference</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the orderReference value
 
 Description: A reference or document order number as listed in business partner application.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#organization-java.lang.String-">organization</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#partnerAddress-java.lang.String-">partnerAddress</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the partnerAddress value
 
 Description: The location of the selected business partner.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#paymentMethod-java.lang.String-">paymentMethod</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the paymentMethod value
 
 Description: It is the method by which payment is expected to be made or received.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#paymentTerms-java.lang.String-">paymentTerms</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the paymentTerms value
 
 Description: The setup and timing defined to complete a specified payment.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#personInCharge-java.lang.String-">personInCharge</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the personInCharge value
 
 Description: An employee that is responsible for the project.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#phase-java.lang.String-">phase</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the phase value
 
 Description: Phase</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#plannedAmount-java.lang.String-">plannedAmount</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the plannedAmount value
 
 Description: The monetary sum expected to be involved for a transaction line.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#plannedExpenses-java.lang.String-">plannedExpenses</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the plannedExpenses value
 
 Description: Planned Expenses</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#plannedMargin-java.lang.String-">plannedMargin</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the plannedMargin value
 
 Description: The expected or provisional margin to be earned due to this transaction.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#plannedQuantity-java.lang.String-">plannedQuantity</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the plannedQuantity value
 
 Description: The expected or provisional quantity to be involved for a transaction line.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#priceCeiling-java.lang.Boolean-">priceCeiling</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the priceCeiling value
 
 Description: An indication that the highest possible contract amount and quantity are being
 charged (may depend on government regulations.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#priceList-java.lang.String-">priceList</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the priceList value
 
 Description: A catalog of selected items with prices defined generally or for a specific
 partner.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#projectStatus-java.lang.String-">projectStatus</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the projectStatus value
 
 Description: Indicates the current status of the project.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#reinvoicedExpenses-java.lang.String-">reinvoicedExpenses</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the reinvoicedExpenses value
 
 Description: Reinvoiced Expenses</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#salesRepresentative-java.lang.String-">salesRepresentative</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the salesRepresentative value
 
 Description: The person in charge of a document.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#searchKey-java.lang.String-">searchKey</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the searchKey value
 
 Description: A fast method for finding a particular record.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#serviceCost-java.lang.String-">serviceCost</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the serviceCost value
 
 Description: Service Cost</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#serviceMargin-java.lang.String-">serviceMargin</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the serviceMargin value
 
 Description: Service Margin %</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#serviceRevenue-java.lang.String-">serviceRevenue</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the serviceRevenue value
 
 Description: Service Revenue</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#startingDate-java.lang.String-">startingDate</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the startingDate value
 
 Description: A parameter stating when a specified request will begin.</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#summaryLevel-java.lang.Boolean-">summaryLevel</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the summaryLevel value
 
 Description: A means of grouping fields in order to view or hide additional information.</div>
</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#userContact-java.lang.String-">userContact</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the userContact value
 
 Description: An acquaintance to reach for information related to the business partner.</div>
</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#warehouse-java.lang.String-">warehouse</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the warehouse value
 
 Description: The location where products arrive to or are sent from.</div>
</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html#workType-java.lang.String-">workType</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the workType value
 
 Description: A distinct work characteristic used for processes.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="name-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;name(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the name value
 
 Description: A non-unique identifier for a record/document often used as a search tool.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The name value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="description-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>description</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;description(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The description value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="active-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>active</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;active(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the active value
 
 Description: A flag indicating whether this record is available for use or de-activated.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The active value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="searchKey-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>searchKey</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;searchKey(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the searchKey value
 
 Description: A fast method for finding a particular record.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The searchKey value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="initiativeType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initiativeType</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;initiativeType(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the initiativeType value
 
 Description: Initiative Type</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The initiativeType value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="projectStatus-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>projectStatus</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;projectStatus(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the projectStatus value
 
 Description: Indicates the current status of the project.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The projectStatus value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="workType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>workType</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;workType(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the workType value
 
 Description: A distinct work characteristic used for processes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The workType value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="summaryLevel-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>summaryLevel</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;summaryLevel(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the summaryLevel value
 
 Description: A means of grouping fields in order to view or hide additional information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The summaryLevel value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="phase-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>phase</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;phase(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the phase value
 
 Description: Phase</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The phase value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="organization-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>organization</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;organization(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The organization value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="comments-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>comments</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;comments(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the comments value
 
 Description: A space to write additional related information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The comments value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="salesRepresentative-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>salesRepresentative</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;salesRepresentative(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the salesRepresentative value
 
 Description: The person in charge of a document.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The salesRepresentative value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="plannedAmount-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>plannedAmount</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;plannedAmount(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the plannedAmount value
 
 Description: The monetary sum expected to be involved for a transaction line.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The plannedAmount value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="paymentTerms-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paymentTerms</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;paymentTerms(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the paymentTerms value
 
 Description: The setup and timing defined to complete a specified payment.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The paymentTerms value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="currency-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currency</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;currency(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the currency value
 
 Description: An accepted medium of monetary exchange that may vary across countries.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The currency value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="contractAmount-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contractAmount</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;contractAmount(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the contractAmount value
 
 Description: The maximum legal monetary price a project may be billed for.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The contractAmount value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="contractDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contractDate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;contractDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the contractDate value
 
 Description: The planned end data is when a contract is registered into the application.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The contractDate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="endingDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>endingDate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;endingDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the endingDate value
 
 Description: The date that a task process or action is to be completed or delivered by.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The endingDate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="userContact-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>userContact</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;userContact(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the userContact value
 
 Description: An acquaintance to reach for information related to the business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The userContact value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="partnerAddress-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>partnerAddress</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;partnerAddress(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the partnerAddress value
 
 Description: The location of the selected business partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The partnerAddress value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="plannedQuantity-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>plannedQuantity</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;plannedQuantity(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the plannedQuantity value
 
 Description: The expected or provisional quantity to be involved for a transaction line.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The plannedQuantity value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="orderReference-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>orderReference</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;orderReference(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the orderReference value
 
 Description: A reference or document order number as listed in business partner application.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The orderReference value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="legallyBindingContract-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>legallyBindingContract</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;legallyBindingContract(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the legallyBindingContract value
 
 Description: Is this document a (legal) commitment?</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The legallyBindingContract value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="businessPartner-com.openbravo.test.integration.erp.data.selectors.BusinessPartnerSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>businessPartner</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;businessPartner(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/BusinessPartnerSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">BusinessPartnerSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the businessPartner value
 
 Description: Anyone who takes part in daily business operations by acting as a customer
 employee etc.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The businessPartner value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="contractQuantity-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contractQuantity</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;contractQuantity(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the contractQuantity value
 
 Description: The maximum legal quantity for a project.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The contractQuantity value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="priceCeiling-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>priceCeiling</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;priceCeiling(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the priceCeiling value
 
 Description: An indication that the highest possible contract amount and quantity are being
 charged (may depend on government regulations.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The priceCeiling value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="plannedMargin-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>plannedMargin</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;plannedMargin(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the plannedMargin value
 
 Description: The expected or provisional margin to be earned due to this transaction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The plannedMargin value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="warehouse-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>warehouse</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;warehouse(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the warehouse value
 
 Description: The location where products arrive to or are sent from.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The warehouse value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="locationAddress-com.openbravo.test.integration.erp.data.selectors.LocationSelectorData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>locationAddress</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;locationAddress(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/selectors/LocationSelectorData.html" title="class in com.openbravo.test.integration.erp.data.selectors">LocationSelectorData</a>&nbsp;value)</pre>
<div class="block">Set the locationAddress value
 
 Description: A specific place or residence.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The locationAddress value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="priceList-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>priceList</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;priceList(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the priceList value
 
 Description: A catalog of selected items with prices defined generally or for a specific
 partner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The priceList value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="formOfPayment-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formOfPayment</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;formOfPayment(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the formOfPayment value
 
 Description: The method used for payment of this transaction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The formOfPayment value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="invoiceToProject-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>invoiceToProject</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;invoiceToProject(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the invoiceToProject value
 
 Description: Invoice to Project</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The invoiceToProject value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="expensesMargin-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>expensesMargin</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;expensesMargin(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the expensesMargin value
 
 Description: Expenses Margin %</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The expensesMargin value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="accountNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accountNo</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;accountNo(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the accountNo value
 
 Description: Account Number</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The accountNo value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="numberOfCopies-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>numberOfCopies</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;numberOfCopies(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the numberOfCopies value
 
 Description: The number of copies of each document that will be printed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The numberOfCopies value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="serviceCost-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>serviceCost</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;serviceCost(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the serviceCost value
 
 Description: Service Cost</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The serviceCost value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="plannedExpenses-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>plannedExpenses</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;plannedExpenses(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the plannedExpenses value
 
 Description: Planned Expenses</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The plannedExpenses value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="reinvoicedExpenses-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reinvoicedExpenses</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;reinvoicedExpenses(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the reinvoicedExpenses value
 
 Description: Reinvoiced Expenses</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The reinvoicedExpenses value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="personInCharge-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>personInCharge</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;personInCharge(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the personInCharge value
 
 Description: An employee that is responsible for the project.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The personInCharge value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="serviceMargin-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>serviceMargin</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;serviceMargin(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the serviceMargin value
 
 Description: Service Margin %</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The serviceMargin value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="serviceRevenue-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>serviceRevenue</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;serviceRevenue(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the serviceRevenue value
 
 Description: Service Revenue</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The serviceRevenue value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="createTemporaryPriceList-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTemporaryPriceList</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;createTemporaryPriceList(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the createTemporaryPriceList value
 
 Description: This option permits to indicate if a temporary price list will be created.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The createTemporaryPriceList value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="startingDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startingDate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;startingDate(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the startingDate value
 
 Description: A parameter stating when a specified request will begin.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The startingDate value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="paymentMethod-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paymentMethod</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData.Builder</a>&nbsp;paymentMethod(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the paymentMethod value
 
 Description: It is the method by which payment is expected to be made or received.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The paymentMethod value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject">ServiceProjectData</a>&nbsp;build()</pre>
<div class="block">Build the data object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The data object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/SupplierData.html" title="class in com.openbravo.test.integration.erp.data.projectservice.transactions.serviceproject"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/projectservice/transactions/serviceproject/ServiceProjectData.Builder.html" target="_top">Frames</a></li>
<li><a href="ServiceProjectData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
